# SbMutex Class Reference
[Portable thread-handling abstractions]

`#include <Inventor/threads/SbMutex.h>`

List of all members.

## Detailed Description

A basic class for managing a mutex.

This class provides a portable framework around the mutex interface of the underlying native thread-handling toolkit.

## Public Member Functions

| SbMutex (void)
| ~SbMutex (void)
int | lock (void)
SbBool | tryLock (void)
int | unlock (void)

## Friends

class | SbCondVar

## Constructor & Destructor Documentation

SbMutex::SbMutex | ( | void |  | ) | `[inline]`

| Constructor.

SbMutex::~SbMutex | ( | void |  | ) | `[inline]`

| Destructor.

## Member Function Documentation

SbBool SbMutex::lock | ( | void |  | ) | `[inline]`

| This method locks the mutex. `TRUE` is returned on success. This is a blocking operation.

SbBool SbMutex::tryLock | ( | void |  | ) | `[inline]`

| This method tries to lock the mutex, and returns whether it was locked or not. This is a non-blocking operation.

SbBool SbMutex::unlock | ( | void |  | ) | `[inline]`

| This method unlocks the mutex.

The documentation for this class was generated from the following files:

- SbMutex.h
- mutex.c